Skip to content
Browse files

initial

  • Loading branch information...
0 parents commit 27bd53854d8b7ea0396daafa6192ad1f7baad399 @tdreyno tdreyno committed Aug 20, 2011
Showing with 61 additions and 0 deletions.
  1. +6 −0 .gitignore
  2. +4 −0 Gemfile
  3. +2 −0 Rakefile
  4. +19 −0 lib/middleman-livereload.rb
  5. +5 −0 lib/middleman-livereload/version.rb
  6. +1 −0 lib/middleman_init.rb
  7. +24 −0 middleman-livereload.gemspec
6 .gitignore
@@ -0,0 +1,6 @@
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
+.rvmrc
+.DS_Store
4 Gemfile
@@ -0,0 +1,4 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in middleman-livereload.gemspec
+gemspec
2 Rakefile
@@ -0,0 +1,2 @@
+require 'bundler'
+Bundler::GemHelper.install_tasks
19 lib/middleman-livereload.rb
@@ -0,0 +1,19 @@
+require "middleman/guard"
+require "guard/livereload"
+
+Middleman::Guard.add_guard do |options, livereload|
+ if livereload
+ livereload_options_hash = ""
+ livereload.each do |k,v|
+ livereload_options_hash << ", :#{k} => '#{v}'"
+ end
+
+ guardfile_contents << %Q{
+ guard 'livereload'#{livereload_options_hash} do
+ watch(%r{^source/([^\.].*)$})
+ end
+ }
+ else
+ nil
+ end
+end
5 lib/middleman-livereload/version.rb
@@ -0,0 +1,5 @@
+module Middleman
+ module LiveReload
+ VERSION = "0.1.0"
+ end
+end
1 lib/middleman_init.rb
@@ -0,0 +1 @@
+require "middleman-livereload"
24 middleman-livereload.gemspec
@@ -0,0 +1,24 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "middleman-livereload/version"
+
+Gem::Specification.new do |s|
+ s.name = "middleman-livereload"
+ s.version = Middleman::LiveReload::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Thomas Reynolds"]
+ s.email = ["me@tdreyno.com"]
+ s.homepage = "https://github.com/tdreyno/middleman-livereload"
+ s.summary = %q{Adds LiveReload to Middleman}
+ s.description = %q{Adds LiveReload to Middleman}
+
+ s.rubyforge_project = "middleman-livereload"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_runtime_dependency("middleman", ["~> 2.0.6"])
+ s.add_runtime_dependency("guard-livereload", ["~> 0.3.0"])
+end

0 comments on commit 27bd538

Please sign in to comment.
Something went wrong with that request. Please try again.